• XDA Forums have been migrated to XenForo. To discuss, report bugs and other issues, use this thread.

[ROM][OFFICIAL][WEEKLY] LineageOS-15.1 for Google Nexus 4 (mako)

voron00

New member
Mar 8, 2011
273
876
0
HTML:
#include "std_disclaimer.h"
/*
 * Your warranty is now void.
 *
 * I am not responsible for bricked devices, dead SD cards,
 * thermonuclear war, or you getting fired because the alarm app failed. Please
 * do some research if you have any concerns about features included in this ROM
 * before flashing it! YOU are choosing to make these modifications, and if
 * you point the finger at me for messing up your device, I will laugh at you.
 */
Flashing Instruction:

1. Make sure you got the latest firmware installed (LMY48T)
2. Backup all your data (Important)
3. Wipe system, data and cache.
4. Flash the ROM and Gapps
5. Reboot

Downloads:

https://download.lineageos.org/mako

Gapps:

https://wiki.lineageos.org/gapps.html

TWRP:

https://twrp.me/lg/lgnexus4.html

Extras (Su Addon):

https://download.lineageos.org/extras

Sources:

https://github.com/LineageOS/android_device_lge_mako
https://github.com/LineageOS/android_kernel_lge_mako

Changelog:

https://www.cmxlog.com/15.1/mako/

Bug Reporting:

https://jira.lineageos.org

Important notes:

- You must use TWRP 3.2.0.0 or higher to flash this rom!
- Remember that no bug reporting are accepted if you using root and/or custom kernel!

XDA:DevDB Information
LineageOS 15.1, ROM for the Google Nexus 4

Contributors
voron00
Source Code: https://github.com/LineageOS

ROM OS Version: 8.x Oreo
ROM Kernel: Linux 3.4.x
Based On: LineageOS

Version Information
Status: Nightly

Created 2018-05-07
Last Updated 2018-05-07
 
Last edited:

skoczo

New member
Dec 30, 2013
6
0
0
Do you have any instruction how to install 17.1 on original ROM? I know that i need to install twrp but what next? I can just install LinageOS 17.1 or i need to do something before?
 

chrisrevoltes

New member
Jul 12, 2017
100
27
0
Mannheim
Do you have any instruction how to install 17.1 on original ROM? I know that i need to install twrp but what next? I can just install LinageOS 17.1 or i need to do something before?
You can't install it "on original ROM". You are replacing the original " stock ROM with this custom ROM.
Here the general steps:

1. Install TWRP
2. Make a backup (in TWRP)
(Keep in mind that everything in your storagefolder is excluded. eg your pictures. So backup them )
3. Wipe everything (in TWRP)
4. Connect to PC and copy ROM and gapps to storage
5. Install ROM
6. Install Gapps (if needed)
7. Install Magisks (if needed)

BWT: I just saw that the same information was on the first page...
 
Last edited:

[email protected]

New member
Jul 15, 2011
60
14
0
While coming from LOS14.1
I would go for the following stack:
TWRP 3.4
LOS 15.1
OpenGapps arm 8.1
by flashing TWRP first with adb and in the next step doing a complete wipe followed by flashing LOS15.1 and OGA, right?

In the next step I'd like to move on to 16 or 17 - is that recommended for the Nexus 4 or should I better forget about it?
 

[email protected]

New member
Jul 15, 2011
60
14
0
You can't install it "on original ROM". You are replacing the original " stock ROM with this custom ROM.
Here the general steps:

1. Install TWRP
2. Make a backup (in TWRP)
(Keep in mind that everything in your storagefolder is excluded. eg your pictures. So backup them )
3. Wipe everything (in TWRP)
4. Connect to PC and copy ROM and gapps to storage
5. Install ROM
6. Install Gapps (if needed)
7. Install Magisks (if needed)

BWT: I just saw that the same information was on the first page...
It's on page 1 - Right, but...
I went for LOS 15.1 (Android 8.1)
It wasn't possible to install Gapps8.1ARM for me yet. (of course I need to put a gapps-config.txt with excludes for pico or nano package first)
How am I supposed to flash LOS 17.1 without any modifications?
I thought there is no room for 16.1 / or 17.1 on the standard partition size, wasn't it?
I guess without repartioning there is no way to go straight to Android 9 or 10.
 
Last edited:

voron00

New member
Mar 8, 2011
273
876
0
I can't install gapps, help!

Only pico gapps can be installed, if you still unable to install pico gapps
create a .txt file named gapps-config.txt with the following contents:
Code:
Exclude

GoogleTTS
and copy that file to the root of your /sdcard, after that install pico gapps.

Recommended gapps-config for opengapps nano (with faceunlock support):
Code:
Exclude

GoogleTTS
Search
Speech
Upgrading from 14.1? Read this!

Android 8.1 is noticably bigger than previous version and directly flashing 15.1 over 14.1
is only possible when you got no gapps or pico gapps installed. If you used for example nano gapps
the correct steps of upgrading would be:

- Boot into Recovery
- Wipe system and cache
- Flash LineageOS zip
- Flash Gapps Pico
- Reboot
 
Last edited:

ddaggebi

Active member
Jan 12, 2014
446
189
43
Seoul
FIRST to comment at this legendary thread! Thanks to the developers who initially made unofficial build, changed it to official, and opted to maintain this old device!
By the way, will the build be posted on the LinageOS official website soon? I still can't see it...
 

n0b0dy666

Active member
Apr 5, 2012
308
152
43
Hm, automatic LiveDisplay doesn't seem to be working for me, I'm fairly sure it did on unofficial builds. I'll have to check back on this.
 

fahrer17

New member
Feb 8, 2016
194
61
0
Almost Berlin :)
I did a clean flash today with the first official LOS15.1 including pico gapps and magisk 16.0 and everything went without a glitch.
The only issue I have is installing Adaway (Fdroid installed just fine): Adaway is greyed out in the Fdroid app whereas I could install it on my Nexus 6.
What is the trick to be able to install Adaway? :confused:
 

accuphase

New member
Sep 23, 2009
1,927
862
0
I did a clean flash today with the first official LOS15.1 including pico gapps and magisk 16.0 and everything went without a glitch.
The only issue I have is installing Adaway (Fdroid installed just fine): Adaway is greyed out in the Fdroid app whereas I could install it on my Nexus 6.
What is the trick to be able to install Adaway? :confused:
You can use the XDA adaway version directly: https://www.androidfilehost.com/?fid=673956719939825702
 

Sam Nakamura

Retired Forum Moderator
Dec 7, 2015
5,475
4,530
0
Landshut (Ndb.)
I get an FC when I try to open settings, system, buttons...

Log attached
https://drive.google.com/file/d/1FUKefen_oyVxjBQCOuS1lvGLHZ1H-G_s/view?usp=drivesdk

Edit: I do use magisk, so I totally understand when you choose to ignore this...

Edit2: just checked and it also FC's without magisk being present, just couldn't take a log as Matlog needs root and I'm not near a computer, I however didn't clean flash, I updated as suggested by OP (wipe all but internal storage & data)

Edit3: from my observations, when changing overlays in settings, display, advanced the buttons page starts to appear for a second and then crashes - I assume it's an overlay issue, as seen so many times by substratum... Even though the log complains about lineage parts right before the fatal exception but anyway I'm terrible at reading logs..

Sent from my Nexus 4 using XDA Labs
 
Last edited:
  • Like
Reactions: voron00

DCCentR

New member
May 8, 2018
30
10
0
Have a problem now with Sberbank Online app - it now detects this ROM as modified or rooted (didnt install su addon) and works in restricted mode. With previous builds of 14.1 (inc. the last one) it works normally like with stock rom.

Upd: I've send them an e-mail asking to add this rom in the whitelist.

Also, now phones wi-fi can't detect my 5Ghz network for some reason. Didnt change any settings on my router since 14.1 builds.
 
Last edited: